VehiclePhysics.PhysicsSetting

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class VehiclePhysics.PhysicsSetting

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.VehiclePhysics.PhysicsSetting

Enclosing class:
  VehiclePhysics

    public static class VehiclePhysics.PhysicsSetting

extends java.lang.Object

Abstraction of a usual physics setting (base_value, step_size, num_steps).

Author:
  Marvin Froehlich (CTDP)

Method Summary
`float` | `clampValue(float value)` Clamps the given value to the range of possible values in this physics setting.
`float` | `getBaseValue()` The base value of this physics setting.
`float` | `getMaxValue()` Gets the maximum value for this physics setting's range.
`float` | `getMinValue()` Gets the minimum value for this physics setting's range.
`int` | `getNumSteps()` Gets the number of steps for this setting.
`float` | `getStepSize()` Gets the number size of each step for this setting.
`float` | `getValueForSetting(int setting)` Gets the value for the given setting.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getBaseValue

    public final float getBaseValue()

  The base value of this physics setting. `getStepSize()` and `getNumSteps()` add to it up to the `getMaxValue()`.

  Returns:
    base value of this physics setting.

### getStepSize

    public final float getStepSize()

  Gets the number size of each step for this setting.

  Returns:
    the number size of each step for this setting.

### getNumSteps

    public final int getNumSteps()

  Gets the number of steps for this setting.

  Returns:
    the number of steps for this setting.

### getMinValue

    public final float getMinValue()

  Gets the minimum value for this physics setting's range.

  Returns:
    the minimum value for this physics setting's range.

### getMaxValue

    public final float getMaxValue()

  Gets the maximum value for this physics setting's range.

  Returns:
    the maximum value for this physics setting's range.

### getValueForSetting

    public final float getValueForSetting(int setting)

  Gets the value for the given setting.

  Parameters:
    `setting` - the setting to get the value for
  Returns:
    the value for the given setting.

### clampValue

    public final float clampValue(float value)

  Clamps the given value to the range of possible values in this physics setting.

  Parameters:
    `value` - the value to be clamped.
  Returns:
    the clamped value.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD